Bug 28679 - Unable to click "Log in to your account" when GoogleOpenIDConnect is enabled
Summary: Unable to click "Log in to your account" when GoogleOpenIDConnect is enabled
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: rel_21_05_candidate
Depends on: 20168
Blocks:
  Show dependency treegraph
 
Reported: 2021-07-07 18:34 UTC by Chad Billman
Modified: 2021-08-03 01:26 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.03,20.11.09


Attachments
Bug 28679: Unable to click "Log in to your account" when GoogleOpenIDConnect is enabled (2.37 KB, patch)
2021-07-12 13:34 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28679: Unable to click "Log in to your account" when GoogleOpenIDConnect is enabled (2.43 KB, patch)
2021-07-16 21:29 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 28679: Unable to click "Log in to your account" when GoogleOpenIDConnect is enabled (2.48 KB, patch)
2021-07-24 22:44 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chad Billman 2021-07-07 18:34:17 UTC
After enabling GoogleIpenIDConnect I am no longer able to left click the "Log in to your account" link on the top of the opac. The link is valid and works if you right click and open in a new tab. 

Quickly looking at the code this seems to be because the data-toggle attribute is set to modal.


<a class="nav-link login-link" href="/cgi-bin/koha/svc/auth/googleopenidconnect" role="button" data-toggle="modal"><i class="fa fa-user fa-icon-black fa-fw" aria-hidden="true"></i> <span class="userlabel">Log in to your account</span></a>
Comment 1 Jonathan Druart 2021-07-12 09:23:16 UTC
Caused by ?
  commit 9cb89b46397efc5e288723829613c33e7eea0d69
  Bug 20168: Update of the OPAC bootstrap template to bootstrap v4
Comment 2 Owen Leonard 2021-07-12 13:34:51 UTC
Created attachment 122780 [details] [review]
Bug 28679: Unable to click "Log in to your account" when GoogleOpenIDConnect  is enabled

This patch corrects the login link in the OPAC when GoogleOpenIDConnect
is enabled. It removes modal-related markup which was causing the link
to fail.

To test, apply the patch and enable the GoogleOpenIDConnect system
preference.

- In the OPAC, click the "Log in to your account" link in the header.
  You should be redirected to a Google authentication form.
- Disable the GoogleOpenIDConnect preference. The login link in the OPAC
  should trigger a modal login form.
Comment 3 Lucas Gass 2021-07-16 21:29:24 UTC
Created attachment 122928 [details] [review]
Bug 28679: Unable to click "Log in to your account" when GoogleOpenIDConnect is enabled

This patch corrects the login link in the OPAC when GoogleOpenIDConnect
is enabled. It removes modal-related markup which was causing the link
to fail.

To test, apply the patch and enable the GoogleOpenIDConnect system
preference.

- In the OPAC, click the "Log in to your account" link in the header.
  You should be redirected to a Google authentication form.
- Disable the GoogleOpenIDConnect preference. The login link in the OPAC
  should trigger a modal login form.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 4 Katrin Fischer 2021-07-24 22:44:24 UTC
Created attachment 123159 [details] [review]
Bug 28679: Unable to click "Log in to your account" when GoogleOpenIDConnect is enabled

This patch corrects the login link in the OPAC when GoogleOpenIDConnect
is enabled. It removes modal-related markup which was causing the link
to fail.

To test, apply the patch and enable the GoogleOpenIDConnect system
preference.

- In the OPAC, click the "Log in to your account" link in the header.
  You should be redirected to a Google authentication form.
- Disable the GoogleOpenIDConnect preference. The login link in the OPAC
  should trigger a modal login form.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2021-07-24 22:44:47 UTC
The solution was also confirmed on the mailing list.
Comment 6 Jonathan Druart 2021-07-26 09:24:32 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 7 Chad Billman 2021-07-26 11:40:13 UTC
Is it possible to get this merged into 21.05 as well?
Comment 8 Katrin Fischer 2021-07-26 11:58:12 UTC
(In reply to Chad Billman from comment #7)
> Is it possible to get this merged into 21.05 as well?

This is marked as a "major" bug fix so chances are good, especially if you can confirm that the problem exists in 21.05 as well. The workflow is so that after this being pushed to master (what will be 21.11), the RMaint of the next lower version will check if it is needed and then so on. RMaints always have the final decision for their version.
Comment 9 Chad Billman 2021-07-26 12:02:31 UTC
I can confirm this bug is impacting our 21.05.01 installation.
Comment 10 Kyle M Hall 2021-07-30 13:25:13 UTC
Pushed to 21.05.x for 21.05.03
Comment 11 Fridolin Somers 2021-08-03 01:26:45 UTC
Pushed to 20.11.x for 20.11.09